Description
===========

Siesta is a stress-free JavaScript unit testing and web UI testing tool. Siesta is ubiquitous - it can run in tests on browser pages and 
inside Node.js processes, on Linux, MacOs and Windows. Supported browsers are Chrome, Firefox, Safari, Edge, IE11. Headless browser modes are supported.

This is Lite version of Siesta. With it, you can run tests in Node.js, and, manually, in any supported browser, using web interface.
You can record and replay user actions (like mouse clicks and keyboard typing), using 
the <a href="https://www.bryntum.com/docs/siesta/#!/guide/event_recorder">user actions recorder</a>, except the native simulation.

Standard version includes native events simulation, browsers automation, code coverage, integrations with CI systems and cloud testing providers.  
You can download the trial from the Siesta web-page: <https://bryntum.com/products/siesta> 

Installation
============

Siesta Lite is published in Npm, so it can be installed with:

    > npm install siesta-lite --save-dev
    
Siesta Standard is distributed as plain archive file, you just unpack it in the preferred location (`node_modules/siesta` for example). 


Using Siesta to test Node.js code
============

Described in this guide: <a href="https://www.bryntum.com/docs/siesta/#!/guide/getting_started_nodejs">Getting started with Siesta in Node.js environment</a>


Using Siesta to test generic JavaScript browser code
==============

Described in this guide: <a href="https://www.bryntum.com/docs/siesta/#!/guide/getting_started_browser">Getting started with Siesta in browser environment</a>


Using Siesta to test a sample React application
==============

Described in this guide: <a href="https://www.bryntum.com/docs/siesta/#!/guide/react_testing_sample_application">Testing a sample React application</a>

See <a href="https://www.bryntum.com/examples/siesta/react-google-fonts-space/siesta.html">Live example</a> 


API docs
========

Online documentation can be found here: <https://www.bryntum.com/docs/siesta>

Docs are also included in this package - open the "docs/index.html" file in the browser.


Buy Siesta Standard
---------

Visit our store: <https://bryntum.com/store/siesta>


Support
---------

Ask question in our community forum: <https://www.bryntum.com/forum/viewforum.php?f=20>

Subscribers can post expedited questions in Premium Forum: <https://www.bryntum.com/forum/viewforum.php?f=21>

Please report any bugs through the web interface at <https://www.assembla.com/spaces/bryntum/support/tickets>


See also
---------

Siesta web-page: <https://bryntum.com/products/siesta>

Other Bryntum products: <https://bryntum.com/products>



Attribution
---------

This software contains icons from the following icon packs (licensed under Creative Common 2.5/3.0 Attribution licenses)

- <http://www.famfamfam.com/lab/icons/silk/>
- <http://led24.de/iconset/>
- <http://p.yusukekamiyamane.com/>
- <http://rrze-icon-set.berlios.de/index.html>
- <http://www.smashingmagazine.com/2009/05/20/flavour-extended-the-ultimate-icon-set-for-web-designers/>
- <http://www.doublejdesign.co.uk/products-page/icons/super-mono-icons/>
- <http://pixel-mixer.com/>

Thanks a lot to the authors of the respective icons packs.


COPYRIGHT AND LICENSE
---------

Copyright (c) 2009-2018, Bryntum & Nickolay Platonov

All rights reserved.