"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Common_js_1 = require("../util/Common.js");
var ChannelEndPoint_js_1 = require("./ChannelEndPoint.js");
var BrowserLogger_js_1 = require("../util/browser/BrowserLogger.js");
var CanSafelyParseJson_js_1 = require("../util/CanSafelyParseJson.js");
var BrowserWebSocketChildEndPoint = /** @class */ (function (_super) {
    __extends(BrowserWebSocketChildEndPoint, _super);
    function BrowserWebSocketChildEndPoint() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BrowserWebSocketChildEndPoint.prototype.doConnect = function (channel) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var socket;
            // wrapping WebSocket instantiation in try/catch in attempt to hide the connection exception
            // (if server is not running for example)
            // does not work unfortunately (seems by current browsers design)
            try {
                socket = _this.socket = new WebSocket('ws://' + _this.host + ':' + _this.port);
            }
            catch (e) {
            }
            socket.addEventListener('open', function (event) {
                socket.removeEventListener('close', connectionErrorRejection);
                socket.addEventListener('close', function (event) {
                    _this.onSocketClose(event);
                    _this.disconnect();
                });
                socket.addEventListener('message', function (event) { return _this.onRawChannelMessage(event); });
                _this.onSocketOpen(event);
                resolve();
            });
            var connectionErrorRejection = function (event) { return reject("Connection error"); };
            socket.addEventListener('close', connectionErrorRejection);
        });
    };
    BrowserWebSocketChildEndPoint.prototype.doDisconnect = function () {
        var socket = this.socket;
        if (socket && socket.readyState != socket.CLOSED)
            socket.close();
    };
    BrowserWebSocketChildEndPoint.prototype.onSocketOpen = function (event) {
    };
    BrowserWebSocketChildEndPoint.prototype.onSocketClose = function (event) {
    };
    BrowserWebSocketChildEndPoint.prototype.doSendMessage = function (message) {
        this.debug("Sending message: " + message);
        this.socket.send(message);
    };
    BrowserWebSocketChildEndPoint.prototype.messageToEnvelop = function (message) {
        var envelop = this.parseJsonSafely(message);
        if (envelop.id == null)
            return undefined;
        return envelop;
    };
    BrowserWebSocketChildEndPoint.prototype.envelopToMessage = function (envelop) {
        return JSON.stringify(envelop);
    };
    return BrowserWebSocketChildEndPoint;
}(ChannelEndPoint_js_1.ChannelEndPoint(CanSafelyParseJson_js_1.CanSafelyParseJson(BrowserLogger_js_1.BrowserLogger(Common_js_1.Base)))));
exports.BrowserWebSocketChildEndPoint = BrowserWebSocketChildEndPoint;
