import {Base, Constructable, Mixin} from "../util/Common.js";
import {Channel, Envelop, Message} from "./Types.js";
import {ChannelEndPoint} from "./ChannelEndPoint.js";
import {NodeJsLogger} from "../util/nodejs/NodeJsLogger.js";


export class NodeJsIpcChildEndPoint extends ChannelEndPoint(NodeJsLogger(Base)) {
    messageListener     : (...args) => any


    doConnect (channel : Channel) : Promise<any> {
        process.addListener('message', this.messageListener = this.onRawChannelMessage.bind(this))

        return Promise.resolve()
    }


    doDisconnect () {
        process.removeListener('message', this.messageListener)
    }


    doSendMessage (message : Message) {
        process.send(message)
    }


    messageToEnvelop (message : Message) : Envelop | undefined {
        return message as Envelop
    }


    envelopToMessage (envelop : Envelop) : Message {
        return envelop as Message
    }
}