import {Base, Constructable, Mixin} from "../util/Common.js";
import {Channel, Envelop, EnvelopId, Message} from "./Types.js";
import {ChannelEndPoint} from "./ChannelEndPoint.js";
import {ChildProcess} from "child_process";
import {NodeJsLogger} from "../util/nodejs/NodeJsLogger.js";


export const NodeJsIpcParentEndPoint = class extends ChannelEndPoint(NodeJsLogger(Base)) {
    childProcess        : ChildProcess

    messageListener     : (...args) => any


    doConnect (channel : Channel) {
        const childProcess  = this.childProcess = channel

        childProcess.addListener('message', this.messageListener = this.onRawChannelMessage.bind(this))

        childProcess.on('exit', () => {
            this.debug('NodeJS worker process exit')
        });

        return Promise.resolve()
    }


    doDisconnect () {
        this.childProcess.removeListener('message', this.messageListener)
    }


    doSendMessage (message : Message) {
        this.childProcess.send(message)
    }


    messageToEnvelop (message : Message) : Envelop | undefined {
        return message as Envelop
    }


    envelopToMessage (envelop : Envelop) : Message {
        return envelop as Message
    }
}
