"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var NodeJsLogger_js_1 = require("../util/nodejs/NodeJsLogger.js");
var Common_js_1 = require("../util/Common.js");
var ws = require('ws');
var portProber = require('selenium-webdriver/net/portprober');
var NodeWebSocketConnectionServer = /** @class */ (function (_super) {
    __extends(NodeWebSocketConnectionServer, _super);
    function NodeWebSocketConnectionServer(props) {
        var _this = _super.call(this, props) || this;
        Object.assign(_this, props);
        return _this;
    }
    NodeWebSocketConnectionServer.prototype.start = function () {
        var _this = this;
        var portCont = this.port ? Promise.resolve(this.port) : portProber.findFreePort();
        return portCont.then(function (port) {
            return new Promise(function (resolve, reject) {
                _this.port = port;
                var connectionServerWS = _this.connectionServerWS = new ws.Server({
                    clientTracking: true,
                    port: port
                }, resolve);
                connectionServerWS.on('connection', function (wsClient) {
                    _this.debug("Connection received");
                    var cls = _this.serverClass;
                    var config = Object.assign({
                        socket: wsClient,
                        logLevel: _this.logLevel
                    }, _this.serverConfig || {});
                    var webSocketServer = new cls(config);
                });
                connectionServerWS.on('error', function () { _this.stop(); });
                // wsServer.on('error', (e) => console.log("ERROR: ", e));
                // wsServer.on('headers', (headers, request) => console.log("HEADERS: ", headers, request));
            });
        });
    };
    NodeWebSocketConnectionServer.prototype.stop = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            if (_this.connectionServerWS)
                _this.connectionServerWS.close(function () {
                    _this.connectionServerWS = null;
                    resolve();
                });
            else
                resolve();
        });
    };
    return NodeWebSocketConnectionServer;
}(NodeJsLogger_js_1.NodeJsLogger(Common_js_1.Base)));
exports.NodeWebSocketConnectionServer = NodeWebSocketConnectionServer;
