import {Base, Constructable, Mixin} from "../util/Common.js";
import {Channel, Envelop, EnvelopId, Message} from "./Types.js";
import {ChannelEndPoint} from "./ChannelEndPoint.js";
import {CanSafelyParseJson} from "../util/CanSafelyParseJson.js";
import {NodeJsLogger} from "../util/nodejs/NodeJsLogger.js";


type ServerWebSocket = any

export const NodeWebSocketParentEndPoint = class extends ChannelEndPoint(CanSafelyParseJson(NodeJsLogger(Base))) {
    socket              : ServerWebSocket

    messageListener     : (...args) => any


    doConnect (channel : Channel) {
        this.socket.addListener('message', this.messageListener = this.onRawChannelMessage.bind(this))

        return Promise.resolve()
    }


    doDisconnect () {
        this.socket.removeListener('message', this.messageListener)
    }


    doSendMessage (message : Message) {
        this.socket.send(message)
    }


    messageToEnvelop (message : Message) : Envelop | undefined {
        const envelop : Envelop  = this.parseJsonSafely(message) as Envelop

        if (envelop.id == null) return undefined

        return envelop
    }


    envelopToMessage (envelop : Envelop) : Message {
        return JSON.stringify(envelop)
    }
}
