import {Channel, Envelop, Message} from "../channel/Types.js";
import {NodeJsIpcClienState, NodeJsIpcRpc} from "./NodeJsPageRpc.js";
import {NodeJsIpcParentEndPoint} from "../channel/NodeJsIpcParentEndPoint.js";


export class NodeJsPageParentEndPoint extends NodeJsIpcParentEndPoint {

    connectResolve      : Function
    connectReject       : Function


    doConnect (channel : Channel) : Promise<any> {
        if (this.connectResolve) throw new Error("Already connecting")

        return new Promise((resolve, reject) => {
            return super.doConnect(channel).then(
                () => {
                    this.connectResolve = resolve
                    this.connectReject  = reject
                }
            )
        })
    }


    doProcessRawChannelMessage (message : Message, envelop : Envelop) {
        this.debug("Parent received message: " + message)

        if (message === NodeJsIpcClienState.Ready) {
            var resolve = this.connectResolve

            this.connectResolve = null
            this.connectReject  = null

            resolve()
        }
    }


    doDispatchEnvelop (envelop : Envelop) {
        const payload       = envelop.payload

        // if (payload.type === NodeJsIpcRpc.FunctionCall) {
        //
        // }
    }
}