import {Constructable, Mixin} from "./Common.js";


export const CanSafelyParseJson = <T extends Constructable>(base : T) => class CanSafelyParseJson extends base {

    parseJsonSafely (str : string, parseWith? : (str : string) => object) : object | undefined {
        if (!parseWith) parseWith = JSON.parse

        let result

        try {
            result  = parseWith(str)
        } catch (e) {
            result  = undefined
        }

        return result
    }
}

export type CanSafelyParseJson = Mixin<typeof CanSafelyParseJson>
