StartTest(function (t) {

    t.it('Move mouse to select field', function (t) {

        if (!Ext.Viewport) Ext.viewport.Viewport.setup()
        Ext.Viewport.removeAll();

        var selectField     = Ext.create({
            xtype: 'selectfield',
            label: 'Choose one',
            options: [{
                text: 'First Option',
                value: 'first'
            }, {
                text: 'Second Option',
                value: 'second'
            }, {
                text: 'Third Option',
                value: 'third'
            }]
        })

        Ext.Viewport.add({
            xtype : 'container',
            items : selectField
        });

        t.firesOnce(selectField, 'change')

        t.chain(
            { click : '>>selectfield' },
            { click : '.x-listitem:contains(Second Option)' },
            { waitFor : 1000 }
        );
    })


    t.it('Sample', function (t) {

        if (!Ext.Viewport) Ext.viewport.Viewport.setup()
        Ext.Viewport.removeAll();

        var panel = Ext.create('Ext.Panel', {
            title: 'Title',
            items: [
                {
                    xtype: 'textfield'
                }
            ]
        });

        Ext.Viewport.add(panel);

        t.chain(
            { waitForCQVisible: 'panel[title=Title]' },
            { click: '>>textfield' }
        );
    });
})